at_upgrade使用AT指令升级时的错误

yueda
Posts: 23
Joined: Wed Jun 01, 2016 11:52 am

at_upgrade使用AT指令升级时的错误

Postby yueda » Mon Aug 15, 2016 3:43 pm

在使用at_upgrade.c升级的过程中,出现这种情况是怎么回事呢?

Code: Select all

AT+CIUPDATE
+CIPUPDATE:1
+CIPUPDATE:2
+CIPUPDATE:3
+CIPUPDATE:4

 ets Jan  8 2013,rst cause:4, boot mode:(3,6)

wdt reset
load 0x40100000, len 1856, room 16
tail 0
chksum 0xe3
load 0x3ffe8000, len 776, room 8
tail 0
chksum 0x02
load 0x3ffe8310, len 552, room 8
tail 0
chksum 0xf9
csum 0xf9
csum err
ets_main.c

ESP_Rubin
Posts: 222
Joined: Wed Jun 29, 2016 11:59 am

Re: at_upgrade使用AT指令升级时的错误

Postby ESP_Rubin » Mon Aug 15, 2016 6:38 pm

你使用的那个版本的SDK,提供一下完整的操作步骤和log

yueda
Posts: 23
Joined: Wed Jun 01, 2016 11:52 am

Re: at_upgrade使用AT指令升级时的错误

Postby yueda » Mon Aug 15, 2016 8:34 pm

ESP_Rubin wrote:你使用的那个版本的SDK,提供一下完整的操作步骤和log

使用的是esp8266_nonos_sdk_v1.5.4_16_05_20 在自己的工程中把at_upgrade.c文件拷贝到自己工程,在user_ocnfig.h中把AT_CUSTOM_UPGRADE这个宏打开,ESP_PARAM_START_SEC->0x7C,编译步骤:1->1->默认->默认->2。烧写时按照步骤里的选项,在串口助手输入AT指令”AT+CIUPDATE“后,可以看到+CIPUPDATE:1 +CIPUPDATE:2 +CIPUPDATE:3 完成了。感觉是在第4步错误的。奇怪的是并不是每一次都会出错。

ESP_Rubin
Posts: 222
Joined: Wed Jun 29, 2016 11:59 am

Re: at_upgrade使用AT指令升级时的错误

Postby ESP_Rubin » Thu Aug 18, 2016 10:35 am

你好,
使用我们默认的AT,会出现该问题吗?

Who is online

Users browsing this forum: No registered users and 1 guest